% -------------------------------------------------------------------------
% function HfssSolveSetup(fid, HSetupName)
% 
% Popis funkce :
% -------------
% Funkce potrebna ke spusteni analyzy
% 
% Parametery :
% ------------
% fid       - soubor identifikujici HFSS script.
% SetupName - jmeno spoustene analyzy.
%
%
% Priklad pouziti funkce :
% ---------
% fid = fopen('antenna.m', 'wt');
% ... 
% HfssSolveSetup(fid, 'Setup750MHz');
% -------------------------------------------------------------------------

function HfssSolveSetup(fid, HSetupName)
global Design

%zapis do souboru temp
fprintf(fid,'%% Spusteni analyzy\n');
fprintf(fid,'invoke(Design,''Solve'',...\n');
fprintf(fid,['{''',HSetupName,'''})\n\n']);

invoke(Design,'Solve',...
    {HSetupName}); 

end
